メインコンテンツへスキップ
POST
/
archives
cURL
curl -i -X POST "https://api.box.com/2.0/archives" \
     -H "box-version: 2025.0" \
     -H "authorization: Bearer <ACCESS_TOKEN>" \
     -H "content-type: application/json" \
     -d '{
       "name": "Some Archive Name",
       "description": "Some Archive Description"
     }'
{
  "id": "12345",
  "type": "archive",
  "name": "Archive",
  "size": 123456789,
  "description": "This is an archive for important documents.",
  "owned_by": {
    "id": "12345",
    "type": "user"
  }
}

Documentation Index

Fetch the complete documentation index at: https://developer.box.com/llms.txt

Use this file to discover all available pages before exploring further.

Box SDKのバージョニング戦略について詳しく学ぶ。」

承認

Authorization
string
header
必須

The access token received from the authorization server in the OAuth 2.0 flow.

ヘッダー

box-version
enum<string>
必須

Version header.

利用可能なオプション:
2025.0

ボディ

application/json
name
string
必須

アーカイブの名前。

:

"Some Archive"

description
string

アーカイブの説明。

:

"This is an archive for important documents."

storage_policy_id
string

アーカイブが割り当てられているストレージポリシーのID。

:

"100001"

レスポンス

新しいアーカイブオブジェクトを返します。

アーカイブとは、冗長なコンテンツ、古くなったコンテンツ、または重要でないコンテンツの保存専用のフォルダです。アーカイブ内のコンテンツには、その所有者とコラボレータはアクセスできません。この機能を使用するには、Boxアプリケーションに対してGCMスコープをリクエストする必要があります。

id
string
必須

アーカイブを表す一意の識別子。

:

"12345"

type
enum<string>
必須

値は常にarchiveになります。

利用可能なオプション:
archive
:

"archive"

name
string
必須

アーカイブの名前。

アーカイブ名には、印刷不可能なASCII文字、スラッシュ、バックスラッシュ (/\) を含む名前、末尾にスペースを含む名前、.および..という名前は使用できないという制限が適用されます。

Required string length: 1 - 100
:

"Archive"

size
integer<int64>
必須

アーカイブのサイズ (バイト単位)。

:

123456789

description
string | null

アーカイブの説明。

Maximum string length: 255
:

"This is an archive for important documents."

owned_by
object

アーカイブを所有するユーザーについて説明している、アーカイブAPIレスポンスの部分。

:
{ "id": "12345", "type": "user" }